{
  "format_version": "1.20.81",
  "minecraft:entity": {
    "description": {
      "identifier": "hb_we:sapphire_ore_turtle",
      "is_spawnable": true,
      "is_summonable": true,
      "is_experimental": false
    },
    "components": {
      "minecraft:collision_box": {
        "width": 2,
        "height": 2.1
      },
      "minecraft:health": {
        "value": 100,
        "max": 100
      },
      "minecraft:movement": {
        "value": 0.13
      },
      "minecraft:jump.static": {},
      "minecraft:physics": {},
      "minecraft:pushable": {},
      "minecraft:conditional_bandwidth_optimization": {},
      "minecraft:timer": {
        "looping": true,
        "time": 180,
        "time_down_event": {
          "event": "hb_we:on_health_regeneration"
        }
      },
      "minecraft:loot": {
        "table": "loot_tables/hb/we/entities/sapphire_ore_turtle.json"
      },
      "minecraft:attack": {
        "damage": [
          7,
          21
        ]
      },
      "minecraft:behavior.random_stroll": {},
      "minecraft:movement.basic": {},
      "minecraft:behavior.hurt_by_target": {},
      "minecraft:navigation.walk": {},
      "minecraft:behavior.delayed_attack": {
        "speed_multiplier": 1.5,
        "attack_duration": 0.79,
        "hit_delay_pct": 0.5
      }
    },
    "component_groups": {
      "level_1": {
        "minecraft:timer": {
          "looping": false,
          "time": 300,
          "time_down_event": {
            "event": "hb_we:on_regen_level_1"
          }
        }
      },
      "level_2": {
        "minecraft:timer": {
          "looping": false,
          "time": 300,
          "time_down_event": {
            "event": "hb_we:on_regen_level_2"
          }
        }
      }
    },
    "events": {
      "hb_we:on_regen_level_1": {},
      "hb_we:on_regen_level_2": {},
      "hb_we:on_level_1": {
        "add": {
          "component_groups": [
            "level_1"
          ]
        },
        "remove": {
          "component_groups": [
            "level_2"
          ]
        }
      },
      "hb_we:on_level_2": {
        "add": {
          "component_groups": [
            "level_2"
          ]
        },
        "remove": {
          "component_groups": [
            "level_1"
          ]
        }
      },
      "hb_we:on_level_3": {
        "remove": {
          "component_groups": [
            "level_1",
            "level_2"
          ]
        }
      }
    }
  }
}